using WCS.DAL.Db.AuthDb;
using WCS.Model;
using WCS.Model.ApiModel;
using WCS.Model.ApiModel.User;

namespace WCS.BLL.Services.IService
{
    /// <summary>
    /// 权限用户所有的后台处理方法
    /// </summary>
    public interface IUserService
    {
        /// <summary>
        /// 模糊查询用户列表
        /// </summary>
        /// <param name="info"></param>
        /// <returns></returns>
        public Task<ResponseCommon<List<UserBase>>> GetUsers(GetUsersRequest request);

        public Task<ResponseCommon<object>> AddUser(AddUserRequest<UserModel> request);

        public Task<ResponseCommon<UserBase>> UserLogin(UserLoginRequest request);

        public Task<ResponseCommon<List<RoleBase>>> GetRoles(GetUsersRequest request);

        public Task<ResponseCommon<object>> AddRole(AddRoleRequest<RoleModel> request);
    }
}
